Package org.mariadb.jdbc.plugin.authentication.addon

## Class ClearPasswordPlugin

- java.lang.Object
- - org.mariadb.jdbc.plugin.authentication.addon.ClearPasswordPlugin

All Implemented Interfaces:
  `AuthenticationPlugin`

    public class ClearPasswordPlugin
    extends Object
    implements AuthenticationPlugin

### Field Summary

Fields
`static String` `TYPE`

### Constructor Summary

Constructors
`ClearPasswordPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initialize​(String authenticationData, byte[] authData, Configuration conf)` Plugin initialization.
`org.mariadb.jdbc.client.ReadableByteBuf` `process​(PacketWriter out, PacketReader in, Context context)` Send password in clear text to server.
`String` `type()` Authentication plugin type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### ClearPasswordPlugin

    public ClearPasswordPlugin()

### Method Detail

#### type

    public String type()

Description copied from interface: `AuthenticationPlugin`
Authentication plugin type.

Specified by:
  `type` in interface `AuthenticationPlugin`
Returns:
  authentication plugin type. ex: mysql_native_password

#### initialize

    public void initialize​(String authenticationData,
                           byte[] authData,
                           Configuration conf)

Description copied from interface: `AuthenticationPlugin`
Plugin initialization.

Specified by:
  `initialize` in interface `AuthenticationPlugin`
Parameters:
  `authenticationData` - authentication data (password/token)
  `authData` - server provided seed
  `conf` - Connection options

#### process

    public org.mariadb.jdbc.client.ReadableByteBuf process​(PacketWriter out,
                                                           PacketReader in,
                                                           Context context)
                                                    throws IOException

Send password in clear text to server.

Specified by:
  `process` in interface `AuthenticationPlugin`
Parameters:
  `out` - out stream
  `in` - in stream
  `context` - context
Returns:
  response packet
Throws:
  `IOException` - if socket error